com.genesyslab.wfm8.API.service.schedule852

## Class SchScenarioSiteStatus

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule852.SchScenarioSiteStatus

- All Implemented Interfaces:
    java.io.Serializable

      public class SchScenarioSiteStatus
      extends java.lang.Object
      implements java.io.Serializable

  Schedule Scenario Site Status
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected double` | `wmBidEndDateTime` Bidding window end date/time.
    `protected double` | `wmBidStartDateTime` Bidding window start date/time.
    `protected double` | `wmPublishDateTime` Time (GMT) when the scenario was published to Master.
    `protected int` | `wmRankingSystem` Ranking system used in scenario.
    `protected int` | `wmSiteId` Site ID
    `protected int` | `wmStatus` Current scenario status `ESchScenarioStatus`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchScenarioSiteStatus()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `double` | `getWmBidEndDateTime()` Gets the value of the wmBidEndDateTime property.
    `double` | `getWmBidStartDateTime()` Gets the value of the wmBidStartDateTime property.
    `double` | `getWmPublishDateTime()` Gets the value of the wmPublishDateTime property.
    `int` | `getWmRankingSystem()` Gets the value of the wmRankingSystem property.
    `int` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `getWmStatus()` Gets the value of the wmStatus property.
    `int` | `hashCode()`
    `void` | `setWmBidEndDateTime(double value)` Sets the value of the wmBidEndDateTime property.
    `void` | `setWmBidStartDateTime(double value)` Sets the value of the wmBidStartDateTime property.
    `void` | `setWmPublishDateTime(double value)` Sets the value of the wmPublishDateTime property.
    `void` | `setWmRankingSystem(int value)` Sets the value of the wmRankingSystem property.
    `void` | `setWmSiteId(int value)` Sets the value of the wmSiteId property.
    `void` | `setWmStatus(int value)` Sets the value of the wmStatus property.
    `java.lang.String` | `toString()`
    `SchScenarioSiteStatus` | `withWmBidEndDateTime(double value)`
    `SchScenarioSiteStatus` | `withWmBidStartDateTime(double value)`
    `SchScenarioSiteStatus` | `withWmPublishDateTime(double value)`
    `SchScenarioSiteStatus` | `withWmRankingSystem(int value)`
    `SchScenarioSiteStatus` | `withWmSiteId(int value)`
    `SchScenarioSiteStatus` | `withWmStatus(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmSiteId

          protected int wmSiteId

      Site ID

    - #### wmStatus

          protected int wmStatus

      Current scenario status `ESchScenarioStatus`

    - #### wmPublishDateTime

          protected double wmPublishDateTime

      Time (GMT) when the scenario was published to Master. Can be NULL. `OleDateTime`

    - #### wmBidStartDateTime

          protected double wmBidStartDateTime

      Bidding window start date/time. Can be NULL. `OleDateTime`

    - #### wmBidEndDateTime

          protected double wmBidEndDateTime

      Bidding window end date/time. Can be NULL. `OleDateTime`

    - #### wmRankingSystem

          protected int wmRankingSystem

      Ranking system used in scenario. `ESchRankingSystem`

  - ### Constructor Detail

    - #### SchScenarioSiteStatus

          public SchScenarioSiteStatus()

  - ### Method Detail

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the value of the wmSiteId property.

    - #### setWmSiteId

          public void setWmSiteId(int value)

      Sets the value of the wmSiteId property.

    - #### getWmStatus

          public int getWmStatus()

      Gets the value of the wmStatus property.

    - #### setWmStatus

          public void setWmStatus(int value)

      Sets the value of the wmStatus property.

    - #### getWmPublishDateTime

          public double getWmPublishDateTime()

      Gets the value of the wmPublishDateTime property.

    - #### setWmPublishDateTime

          public void setWmPublishDateTime(double value)

      Sets the value of the wmPublishDateTime property.

    - #### getWmBidStartDateTime

          public double getWmBidStartDateTime()

      Gets the value of the wmBidStartDateTime property.

    - #### setWmBidStartDateTime

          public void setWmBidStartDateTime(double value)

      Sets the value of the wmBidStartDateTime property.

    - #### getWmBidEndDateTime

          public double getWmBidEndDateTime()

      Gets the value of the wmBidEndDateTime property.

    - #### setWmBidEndDateTime

          public void setWmBidEndDateTime(double value)

      Sets the value of the wmBidEndDateTime property.

    - #### getWmRankingSystem

          public int getWmRankingSystem()

      Gets the value of the wmRankingSystem property.

    - #### setWmRankingSystem

          public void setWmRankingSystem(int value)

      Sets the value of the wmRankingSystem property.

    - #### withWmSiteId

          public SchScenarioSiteStatus withWmSiteId(int value)

    - #### withWmStatus

          public SchScenarioSiteStatus withWmStatus(int value)

    - #### withWmPublishDateTime

          public SchScenarioSiteStatus withWmPublishDateTime(double value)

    - #### withWmBidStartDateTime

          public SchScenarioSiteStatus withWmBidStartDateTime(double value)

    - #### withWmBidEndDateTime

          public SchScenarioSiteStatus withWmBidEndDateTime(double value)

    - #### withWmRankingSystem

          public SchScenarioSiteStatus withWmRankingSystem(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.